#pragma once
#include <string>
#include <vector>

struct MapData {
  std::vector<std::string> mapTiles;
  std::vector<std::string> mapEnemys;
};

struct Map {
  std::string mapName;
  std::string mapVersion;
  std::string mapAuthor;
  int mapWidth; // Width of the map in tiles
  int mapHeight;
  int mapScaleX; // Rendering scale
  int mapScaleY; // Rendering scale

  MapData data;
};

Map PLoadMapFromFile(std::string filepath);
void PSaveMapToFile(Map *map, std::string filepath);
void PRenderMap(Map *map);
